Skip to main content
GET
https://api.talktohumans.app
/
v1
/
conversations
/
{conversationId}
/
messages
List conversation messages
curl --request GET \
  --url https://api.talktohumans.app/v1/conversations/{conversationId}/messages \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "messages": [
      {
        "message_id": "<string>",
        "provider_message_id": "<string>",
        "conversation_id": "<string>",
        "sent_at": "2023-11-07T05:31:56Z",
        "is_edited": true,
        "is_deleted": true,
        "attachments": [
          {
            "attachment_id": "<string>",
            "kind": "<string>",
            "sort_order": 123,
            "provider_attachment_id": "<string>",
            "title": "<string>",
            "subtitle": "<string>",
            "description": "<string>",
            "url": "<string>",
            "thumbnail_url": "<string>",
            "mime_type": "<string>",
            "file_name": "<string>",
            "size_bytes": 123,
            "width": 123,
            "height": 123,
            "duration_ms": 123
          }
        ],
        "text": "<string>",
        "sender_participant_id": "<string>"
      }
    ],
    "pagination": {
      "limit": 10,
      "has_more": true,
      "next_cursor": "<string>"
    }
  }
}

Authorizations

Authorization
string
header
required

Pass your API key as Authorization: Bearer <api_key>.

Path Parameters

conversationId
string
required

Conversation ID returned by GET /v1/conversations.

Query Parameters

account_id
string
required

LinkedIn account ID returned by GET /v1/accounts.

Pattern: ^[1-9][0-9]*$
limit
integer
default:10

Page size. Defaults to 10. Values above 25 are clamped to 25.

Required range: 1 <= x <= 25
cursor
string

Opaque cursor from the previous response's pagination.next_cursor.

Response

Messages in the conversation.

data
object
required